Kerbal Space Program - Bug #821

ConfigNode does not escape slashes
06/30/2013 03:15 AM - Majiir

Status: Closed Start date: 06/30/2013
Severity: Normal % Done: 100%
Assignee:

Category: Plugins/Add-Ons

Target version:

Version: 0.20.2 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

When a value containing forward slashes is added to a ConfigNode, those slashes are not escaped. These slashes can later be
interpreted as a comment delimiter, corrupting data. This is of consequence because System.Convert.ToBase64String() produces
forward slashes.

History

#1 - 08/22/2013 07:19 AM - zengei

Confirming that | just encountered this bug myself; also as a result of using System.Convert. ToBase64String().

#2 - 07/17/2016 09:24 AM - TriggerAu

- Status changed from New to Needs Clarification

#3 - 08/07/2016 11:40 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
